#!/bin/bash

# Confirm that the necessary binary utility exists
if [ ! -e /nn/bin/dumppolicy ]; then
    exit 1
fi

# Traverse the list of pids, reporting the class/priority settings.
for pidlist in `ps -A -o pid | grep '[0-9]' `
do
	pidDetails=`ps --pid $pidlist -o comm`
	set $pidDetails
	if [ $# -ne 1 ]
	then
		echo "`/nn/bin/dumppolicy $pidlist`$2"
	fi
done

exit 0
